Package org.gradle.language.base.compile

## Interface CompilerVersion

-     @Incubating
      @NonNullApi
      public interface CompilerVersion

  Version of a compiler.
  Since:
    4.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getType()` | Returns the type of the compiler.
    `java.lang.String` | `getVendor()` | Returns the vendor of the compiler.
    `java.lang.String` | `getVersion()` | Returns the version of the compiler.

- - ### Method Detail

    - #### getType

          @Input
          java.lang.String getType()

      Returns the type of the compiler.

    - #### getVendor

          @Input
          java.lang.String getVendor()

      Returns the vendor of the compiler.

    - #### getVersion

          @Input
          java.lang.String getVersion()

      Returns the version of the compiler.